return {
  "stevearc/conform.nvim",
  event = { "BufReadPre", "BufNewFile" },
  opts = {
    formatters_by_ft = {
      sh = { "shfmt" }, -- brew install, pkg install shfmt
      bash = { "shfmt" },
      python = { "ruff_format", "black" }, -- brew install ruff, pkg install ruff
      lua = { "stylua" }, -- brew install stylua, pkg install stylua
      typescript = { "prettierd", "prettier" },
      javascript = { "prettierd", "prettier" },
      json = { "jq" }, -- brew install jq, pkg install jq
      -- cpp  = { "clang_format" },
    },
  },

  config = function(_, opts)
    require("conform").setup(opts)
  end,
}
